Add insight to dashboard
Place an insight on a dashboard with an optional grid layout. Both the dashboard and the insight must belong to the resolved location. Requires an agency key (ak_). Returns the created link row.
curl -X POST "https://mythic-analytics.gulp.workers.dev/builder/dashboards/123e4567-e89b-12d3-a456-426614174000/insights?location_id=acme-retail" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"insight_id": "123e4567-e89b-12d3-a456-426614174000",
"layout": {
"lg": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"md": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"sm": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
}
}'
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/builder/dashboards/123e4567-e89b-12d3-a456-426614174000/insights?location_id=acme-retail"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"insight_id": "123e4567-e89b-12d3-a456-426614174000",
"layout": {
"lg": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"md": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"sm": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/builder/dashboards/123e4567-e89b-12d3-a456-426614174000/insights?location_id=acme-retail", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"insight_id": "123e4567-e89b-12d3-a456-426614174000",
"layout": {
"lg": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"md": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"sm": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"insight_id": "123e4567-e89b-12d3-a456-426614174000",
"layout": {
"lg": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"md": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"sm": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
}
}`)
req, err := http.NewRequest("POST", "https://mythic-analytics.gulp.workers.dev/builder/dashboards/123e4567-e89b-12d3-a456-426614174000/insights?location_id=acme-retail", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/builder/dashboards/123e4567-e89b-12d3-a456-426614174000/insights?location_id=acme-retail')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"insight_id": "123e4567-e89b-12d3-a456-426614174000",
"layout": {
"lg": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"md": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"sm": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
}
}'
response = http.request(request)
puts response.body
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"dashboard_id": "123e4567-e89b-12d3-a456-426614174000",
"insight_id": "123e4567-e89b-12d3-a456-426614174000",
"layout": {
"lg": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"md": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
},
"sm": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
},
"overrides": {},
"created_at": "2024-12-25T10:00:00Z",
"insight": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "John Doe",
"insight_type": "number"
}
}
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/dashboards/{id}/insightsTarget server for requests. Edit to use your own host.
Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need dashboards:read or dashboards:write. See Using an mcp_ key over HTTP.
Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need dashboards:read or dashboards:write. See Using an mcp_ key over HTTP.Dashboard UUID.
Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).
The media type of the request body
Responsive grid position keyed by breakpoint. Each breakpoint holds x, y, w, h (grid columns/rows).
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need dashboards:read or dashboards:write. See Using an mcp_ key over HTTP.
Path Parameters
Dashboard UUID.
Query Parameters
Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).
acme-retailBody
Responsive grid position keyed by breakpoint. Each breakpoint holds x, y, w, h (grid columns/rows).